Package com.smartgwt.client.types

# Enum HoverMode

java.lang.Object
java.lang.Enum<HoverMode>
com.smartgwt.client.types.HoverMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<HoverMode>`, `Constable`

public enum HoverMode extends Enum<HoverMode> implements ValueEnum
When `canHover` and `showHoverComponents` are both true, HoverMode dictates the type of UI to be displayed when a user hovers over a row or cell.

There are a number of builtin HoverModes and you can override `getCellHoverComponent()` to create your own hover behaviors.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DETAIL_FIELD`
  Show a single field's value in an `HTMLFlow`.
  `DETAIL_RELATED`
  Show a `DetailViewer` displaying those fields from the record not already displayed in the grid, together with a separate `ListGrid` containing related-records.
  `DETAILS`
  Show a `DetailViewer` displaying those fields from the record which are not already displayed in the grid.
  `RELATED`
  Show a separate `ListGrid` containing related-records.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static HoverMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static HoverMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DETAIL_FIELD

    public static final HoverMode DETAIL_FIELD
    Show a single field's value in an `HTMLFlow`. Field to use is `ListGrid.detailField`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "detailField".

  - ### DETAILS

    public static final HoverMode DETAILS
    Show a `DetailViewer` displaying those fields from the record which are not already displayed in the grid.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "details".

  - ### RELATED

    public static final HoverMode RELATED
    Show a separate `ListGrid` containing related-records. See `ListGridRecord.detailDS` and `ListGrid.recordDetailDSProperty` for more information.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "related".

  - ### DETAIL_RELATED

    public static final HoverMode DETAIL_RELATED
    Show a `DetailViewer` displaying those fields from the record not already displayed in the grid, together with a separate `ListGrid` containing related-records.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "detailRelated".

- ## Method Details

  - ### values

    public static HoverMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static HoverMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`